MCP Gateway
ApiCredential requirements

Save credential requirements

Save configured credential requirements for a server. Allows admin to customize AI-discovered requirements and set credential modes.

PUT
/api/v1/servers/{server_id}/requirements

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Path Parameters

server_id*string
Formatuuid
access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/requirements" \  -H "Content-Type: application/json" \  -d '{    "requirements": [      {}    ]  }'
{
  "server_type": "npx",
  "display_name": "string",
  "description": "string",
  "requirements": [
    {
      "name": "string",
      "kind": "env_var",
      "description": "string",
      "required": true,
      "sensitive": true,
      "admin_value_set": false,
      "example_format": "string",
      "prefix": "string",
      "validation_pattern": "string",
      "help_url": "string",
      "ai_suggestion_reason": "string",
      "ai_confidence": 1
    }
  ],
  "auth_method": "none",
  "sources_analyzed": [
    "string"
  ],
  "warnings": [
    "string"
  ],
  "analysis_confidence": 1
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}